%define upstream_name    Unicode-Unihan
%define upstream_version 0.043

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    The Unihan Data Base 5.1.0
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
The first thing you do is make the database available. Just say

  use Unicode::Unihan;
  my $uh = Unicode::Unihan->new;

That's all you have to say. After that, you can access the database via
$uh->_tag_($string) where _tag_ is the tag in the Unihan Database, without
'k' prefix.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README NOTES META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Oct 03 2022 tv <tv> 0.43.0-1.mga9
+ Revision: 1894247
- imported package perl-Unicode-Unihan

